Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Thank adevance, please help me out! I upgrade from 13.10 to 14.04, but there is problems occured, so I rescued through KNOPPIX livecd. Just now the problem is: when i tried in chroot enviroment : Code:

dpkg --configure -a

The result is: Code:

Setting up whoopsie (0.2.24.5) ...
invoke-rc.d: unknown initscript, /etc/init.d/whoopsie not found.
dpkg: error processing package whoopsie (--configure):
 subprocess installed post-installation script returned error exit status 100
Setting up lirc (0.9.0-0ubuntu5) ...
 * udev requires devtmpfs support, not started
   ...fail!
invoke-rc.d: initscript udev, action "reload" failed.
dpkg: error processing package lirc (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up udev (204-5ubuntu20) ...
 * udev requires devtmpfs support, not started
   ...fail!
invoke-rc.d: initscript udev, action "restart" failed.
dpkg: error processing package udev (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of ubuntu-minimal:
 ubuntu-minimal depends on udev; however:
  Package udev is not configured yet.

and the apt-get upgrade and dist-upgrade get same result!

share|improve this question
    
Please edit your question and clarify. How did you set up the chroot? Show us the exact commands you used. –  terdon Apr 29 at 9:30

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.